let teacherRouter = [
  {
    path: "/callnames",
    name: "callnames",
    component: () =>
      import(/* webpackChunkName:'CallNames'*/ "@/views/teacher/CallNames.vue"),
    meta: {
      descrition: "点名",
      weight: 1 // 页面权重
    }
  },
  {
    path: "/attendance",
    name: "attendance",
    component: () =>
      import(
        /* webpackChunkName:'Attendance'*/ "@/views/teacher/Attendance.vue"
      ),
    meta: {
      descrition: "历史考勤统计",
      weight: 1 // 页面权重
    }
  },
  {
    path: "/bookingset",
    name: "bookingset",
    component: () =>
      import(
        /* webpackChunkName:'BookingSet'*/ "@/views/teacher/BookingSet.vue"
      ),
    meta: {
      descrition: "试听课设置",
      weight: 1 // 页面权重
    }
  },
  {
    path: "/teachingschool",
    name: "teachingschool",
    component: () =>
      import(
        /* webpackChunkName:'TeachingSchool'*/ "@/views/teacher/TeachingSchool.vue"
      ),
    meta: {
      descrition: "教学点设置",
      weight: 1 // 页面权重
    }
  },
  {
    path: "/teachingset",
    name: "teachingset",
    component: () =>
      import(
        /* webpackChunkName:'TeachingSet'*/ "@/views/teacher/TeachingSet.vue"
      ),
    meta: {
      descrition: "教学点设置",
      weight: 2 // 页面权重
    }
  },
  {
    path: "/business",
    name: "business",
    component: () =>
      import(/* webpackChunkName:'Business'*/ "@/views/teacher/Business.vue"),
    meta: {
      descrition: "业务",
      weight: 1 // 页面权重
    }
  },
  {
    path: "/approval",
    name: "approval",
    component: () =>
      import(/* webpackChunkName:'Approval'*/ "@/views/teacher/Approval.vue"),
    meta: {
      descrition: "需我审批",
      weight: 2 // 页面权重
    }
  },
  {
    path: "/ccme",
    name: "ccme",
    component: () =>
      import(/* webpackChunkName:'CcMe'*/ "@/views/teacher/CcMe.vue"),
    meta: {
      descrition: "抄送我的",
      weight: 3 // 页面权重
    }
  },
  {
    path: "/istarted",
    name: "istarted",
    component: () =>
      import(/* webpackChunkName:'IStarted'*/ "@/views/teacher/IStarted.vue"),
    meta: {
      descrition: "我发起的",
      weight: 4 // 页面权重
    }
  },
  {
    path: "/starteddetail",
    name: "starteddetail",
    component: () =>
      import(
        /* webpackChunkName:'StartedDetail'*/ "@/views/teacher/StartedDetail.vue"
      ),
    meta: {
      descrition: "我发起的",
      weight: 5 // 页面权重
    }
  },
  {
    path: "/periodadjust",
    name: "periodadjust",
    component: () =>
      import(
        /* webpackChunkName:'PeriodAdjust'*/ "@/views/teacher/PeriodAdjust.vue"
      ),
    meta: {
      descrition: "课程调整",
      weight: 6 // 页面权重
    }
  },
  {
    path: "/periodchange",
    name: "periodchange",
    component: () =>
      import(
        /* webpackChunkName:'PeriodChange'*/ "@/views/teacher/PeriodChange.vue"
      ),
    meta: {
      descrition: "课时交换",
      weight: 7 // 页面权重
    }
  },
  {
    path: "/leave",
    name: "leave",
    component: () =>
      import(/* webpackChunkName:'Leave'*/ "@/views/teacher/Leave.vue"),
    meta: {
      descrition: "请假",
      weight: 1 // 页面权重
    }
  },
  {
    path: "/vipapply",
    name: "vipapply",
    component: () =>
      import(/* webpackChunkName:'VIPApply'*/ "@/views/teacher/VIPApply.vue"),
    meta: {
      descrition: "VIP课程班申请",
      weight: 1 // 页面权重
    }
  },
  {
    path: "/order",
    name: "order",
    component: () =>
      import(/* webpackChunkName:'order'*/ "@/views/teacher/order.vue"),
    meta: {
      descrition: "订单列表",
      weight: 1 // 页面权重
    }
  },
  {
    path: "/privacy",
    name: "privacy",
    component: () =>
      import(/* webpackChunkName: "privacy" */ "@/views/teacher/privacy"),
    meta: {
      descrition: "隐私协议",
      weight: 8 // 页面权重
    }
  },
  {
    path: "/studyReport",
    name: "studyReport",
    component: () =>
      import(/* webpackChunkName: "privacy" */ "@/views/teacher/studyReport"),
    meta: {
      descrition: "学习报告",
      weight: 8 // 页面权重
    }
  },
  {
    path: "/studyReportNew",
    name: "studyReportNew",
    component: () =>
      import(/* webpackChunkName: "privacy" */ "@/views/teacher/studyReportNew"),
    meta: {
      descrition: "学习报告",
      weight: 8 // 页面权重
    }
  },
  {
    path: "/reportDetailNew",
    name: "reportDetailNew",
    component: () =>
      import(/* webpackChunkName: "privacy" */ "@/views/teacher/reportDetailNew"),
    meta: {
      descrition: "学习报告",
      weight: 8 // 页面权重
    }
  },
  {
    path: "/reportDetail",
    name: "reportDetail",
    component: () =>
      import(/* webpackChunkName: "privacy" */ "@/views/teacher/reportDetail"),
    meta: {
      descrition: "学习报告",
      weight: 8 // 页面权重
    }
  },
  {
    path: "/tobeReport",
    name: "tobeReport",
    component: () =>
      import(/* webpackChunkName: "privacy" */ "@/views/teacher/tobeReport"),
    meta: {
      descrition: "待完成月报",
      weight: 8 // 页面权重
    }
  },
  {
    path: "/evaluateList",
    name: "evaluateList",
    component: () =>
      import(/* webpackChunkName: "privacy" */ "@/views/teacher/evaluateManager/evaluateList"),
    meta: {
      descrition: "网管课评价",
      weight: 8 // 页面权重
    }
  }
];

export default teacherRouter;
